<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:import href="transformer.xslt"/>
<xsl:import href="jfc-component.xslt"/>

<xsl:template match="/">
	<java version="1.4.2" class="java.beans.XMLDecoder">
		<object id="self" class="com.teppefall.ds.layout.jxml.jfc.JOGLAssembly">
			<xsl:apply-templates/>
		</object>
	</java>
</xsl:template>

<xsl:template match="jogl">
	<xsl:call-template name="parkComponent"/>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="canvas">
    <object id="canvas" class="{@class}"/>
    <void property="renderer">
    	<object idref="canvas"/>
    </void>
	<xsl:apply-templates/>
</xsl:template>


</xsl:stylesheet>